#!/bin/csh
#SBATCH -N 32
#SBATCH -n 1024
#SBATCH -t 00:10:00
#SBATCH --job-name="gamess"
#SBATCH -p pbatch

# Has to use csh because gamess uses csh to set environemtns
# Also each node must have 2n (e.g., 2, 4, 6, ...) mpi processes.

setenv I_MPI_EXTRA_FILESYSTEM on
setenv I_MPI_EXTRA_FILESYSTEM_LIST lustre
setenv OMP_NUM_THREADS 1

cd /p/lscratchh/wang116/applications/gamess/run


# input file base name
setenv JOB dft-etoh

rm ./dft-etoh.dat
rm -rf $JOB.dat $JOB.F*

# SCR and USERSCR and directories for outputing
setenv SCR /p/lscratchh/wang116/applications/gamess/run
setenv USERSCR /p/lscratchh/wang116/applications/gamess/run
setenv GMSPATH /g/g90/wang116/softwares/gamess

# this file defined all required enviroment variables
cp $JOB.inp $JOB.F05
source ./gms-files.csh


setenv LD_PRELOAD /g/g90/wang116/sources/Recorder/install/lib/librecorder.so
srun ./gamess.00.x
